#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{
    char *name = NULL;
    name = (char *)malloc(32 * sizeof(char)); // 32个字节
    if (NULL == name)
        perror("malloc"); // 输出分配内存失败的原因
    else
        memset(name, 'a', 32); // 将 name 初始化为 32 个字节的 'a'
    *(name + 30) = 'B';
    *(name + 31) = '\0'; // 将 name 的最后一个字节设置为 '\0'
    printf("%s\n", name);
    free(name); // 释放内存空间

    return 0;
}